CWL · tip 1.0.80 · this page is the genome

Chrysalis Web Language — the genome Convert and Secure consume.

Chrysalis Web Language describes what a web app is: routes, handlers, pages, data, UI, effects — only what can be verified. Tip 1.0.80 ships a complete marketing genome — the same language that powers agenticop.io on Firebase via emit:site. Convert and Secure consume it — they do not redefine it.

  1. 01 Surface in routes, pages, effects
  2. 02 Readable genome CWL + verify
  3. 03 Consumed Convert & Secure
CWL tip 1.0.80 complete site: describe routes, pages, data, and assets into a readable genome; Convert, Secure, and Firebase Hosting consume emit:site; verify dispose; no façades.

Tip 1.0.80 complete marketing genome on Firebase: owned fonts and CSS, literal year, CSS menu, certified emit:site. Convert and Secure consume the language — they do not own it.

How CWL works

Describe once. Verify every claim. Let others speak it.

01

Surface in

Routes, handlers, pages, data, UI, and effects enter one readable model — not a one-off dialect for a single migration.

02

Readable genome

Humans can audit what the app claims to be. Machines can emit from the same model. Missing truth stays unnamed until proven.

03

Consumed, not owned

Convert translates through CWL. Secure’s default is traffic DNA; any CWL bridge must match this grammar — no fork inside Helix.

Grammar of its own. Not a migration dialect. Convert & Secure consume — do not redefine.

Surfaces (tip 1.0.80)

SurfaceStatus
API @routeShipped — RFC-0001–0008
Pages @pageShipped — RFC-0010/0011/0014
Data loadPartial — RFC-0013
UI islandsLanguage shipped — RFC-0017–0019, 0024, 0028
EffectsDeclarative — RFC-0007, 0020
DNA bridgeContract — RFC-0022 (app-dna-v1)

Gates

  • npm run smoke:ut-spine → UT_SPINE_OK (CWL owns this spine)
  • npm run smoke:cwl-ingest-matrix → CWL_INGEST_MATRIX_OK
  • Unsupported transport stays named outside the marketing genome — never silent stubs

Full paper: CWL language · WebIR · Docs index

Open source

All three pillars are public on GitHub. Tip language 1.0.78. This site is that genome on Firebase.

See the migration method →

Sister pillars

Same genome. Different jobs.